DEV: Remove deprecation for `Discourse.Category`

DEV: Remove deprecation for Discourse.Category

diff --git a/app/assets/javascripts/discourse/app/models/category.js b/app/assets/javascripts/discourse/app/models/category.js
index 7d2b590..78802cb 100644
--- a/app/assets/javascripts/discourse/app/models/category.js
+++ b/app/assets/javascripts/discourse/app/models/category.js
@@ -5,7 +5,6 @@ import RestModel from "discourse/models/rest";
 import { on } from "discourse-common/utils/decorators";
 import PermissionType from "discourse/models/permission-type";
 import { NotificationLevels } from "discourse/lib/notification-levels";
-import deprecated from "discourse-common/lib/deprecated";
 import Site from "discourse/models/site";
 import User from "discourse/models/user";
 
@@ -513,14 +512,4 @@ Category.reopenClass({
   }
 });
 
-Object.defineProperty(Discourse, "Category", {
-  get() {
-    deprecated(
-      "Import the Category class instead of using Discourse.Category",
-      { since: "2.4.0", dropFrom: "2.5.0" }
-    );
-    return Category;
-  }
-});
-
 export default Category;

GitHub sha: 74db3179